package com.yunfeiyun.agmp.common.web.system.service;

import com.yunfeiyun.agmp.common.web.system.domain.SysMenuConfig;
import com.yunfeiyun.agmp.common.core.domain.model.IBaseMenu;

import java.util.List;

/**
 * 菜单Service接口
 *
 * @author 杨晓辉
 * @date 2023-05-08
 */
public interface ISysMenuConfigService {
     public List<SysMenuConfig> selectMenuConfigList(SysMenuConfig menuConfig);
     public List<SysMenuConfig> selectMenuConfigList();
     public List<SysMenuConfig> selectMenuConfigByCfgId(String menucfgSys);
     public List<IBaseMenu> queryMenuBy(List<IBaseMenu> menus,String menuId);
     public List<String> selectMenuConfigIds();
     public List<IBaseMenu> selectMenuConfig();
     public SysMenuConfig selectMenuConfigByMenuId(String menuId);
     public int insertMenuConfig(SysMenuConfig menuConfig);
     public int updateMenuConfig(SysMenuConfig menuConfig);
     public int deleteMenuConfigById(String menucfgId);
     public int deleteMenuConfigByMenuId(String menuId);
}
